%define rname blogilo

%define sover 5
%define libnotesharedprivate libnotesharedprivate%sover
%define libcomposereditorwebengineprivate libcomposereditorwebengineprivate%sover

Name: kde5-%rname
Version: 17.08.3
Release: alt4%ubt
%K5init

BuildArch: noarch

Group: Networking/Other
Summary: Blogging client
Url: http://www.kde.org
License: GPLv2+ / LGPLv2+

Provides: kde5-pim-blogilo = %EVR
Obsoletes: kde5-pim-blogilo < %EVR
Requires: %libcomposereditorwebengineprivate

Source: %rname-%version.tar

BuildRequires(pre): rpm-build-kf5 rpm-build-ubt


%description
Blogilo is a blogging client for KDE, which supports famous blogging APIs.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %libcomposereditorwebengineprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
%description -n %libcomposereditorwebengineprivate
%name library


%prep
%setup -n %rname-%version

%files common
%files
%files -n %libcomposereditorwebengineprivate

%changelog
* Mon Jun 04 2018 Sergey V Turchin <zerg@altlinux.org> 17.08.3-alt4%ubt
- make empty package to fix dist-upgrade

* Tue May 22 2018 Sergey V Turchin <zerg@altlinux.org> 17.08.3-alt3%ubt
- rebuild with new libkf5pimtextedit

* Tue Mar 06 2018 Sergey V Turchin <zerg@altlinux.org> 17.08.3-alt2%ubt
- update from master branch

* Thu Nov 09 2017 Sergey V Turchin <zerg@altlinux.org> 17.08.3-alt1%ubt
- new version

* Thu Nov 09 2017 Sergey V Turchin <zerg@altlinux.org> 17.08.2-alt1%ubt
- new version

* Fri Jul 14 2017 Sergey V Turchin <zerg@altlinux.org> 17.04.3-alt1%ubt
- new version

* Wed Jun 14 2017 Sergey V Turchin <zerg@altlinux.org> 17.04.2-alt1%ubt
- new version

* Mon May 15 2017 Sergey V Turchin <zerg@altlinux.org> 17.04.1-alt1%ubt
- new version

* Mon Apr 24 2017 Sergey V Turchin <zerg@altlinux.org> 17.04.0-alt1%ubt
- new version

* Thu Mar 16 2017 Sergey V Turchin <zerg@altlinux.org> 16.12.3-alt1%ubt
- new version

* Wed Mar 15 2017 Sergey V Turchin <zerg@altlinux.org> 16.12.2-alt1%ubt
- initial build
